%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  discord
%global packver   1.2.4.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.2.4.1
Release:          1%{?dist}%{?buildtag}
Summary:          Functions for Discordant Kinship Modeling

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.50
Requires:         R-core >= 3.50
BuildArch:        noarch
BuildRequires:    R-stats 
Requires:         R-stats 

%description
Functions for discordant kinship modeling (and other sibling-based
quasi-experimental designs). Contains data restructuring functions and
functions for generating biometrically informed data for kin pairs. See
[Garrison and Rodgers, 2016 <doi:10.1016/j.intell.2016.08.008>], [Sims,
Trattner, and Garrison, 2024 <doi:10.3389/fpsyg.2024.1430978>] for
empirical examples, and Garrison and colleagues for theoretical work
<https://osf.io/zpdwt/>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
